Download it now!
Bug 99379 - libreoffice wants to recover a saved document
Summary: libreoffice wants to recover a saved document
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.0.5.2 release
Hardware: All All
: lowest trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: AutoSave-AutoRecovery-Backup
  Show dependency treegraph
 
Reported: 2016-04-18 17:19 UTC by Asif Ali Rizvan
Modified: 2016-09-12 08:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
MS Office has a Sidebar to recover auto-saved document (43.33 KB, image/jpeg)
2016-04-18 17:19 UTC, Asif Ali Rizvan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Asif Ali Rizvan 2016-04-18 17:19:51 UTC
Created attachment 124469 [details]
MS Office has a Sidebar to recover auto-saved document

Hi,

I usually don't close and exit document applicationss which should be closed by the OS on the shutdown process. 

But libreoffice writer/calc always annoy me with document recovery for already saved document.

How to Reproduce:

1. create a document/spreadsheet
2. save the document/calc after some time
3. restart the OS (linux)
4. start libreoffice writer or calc
5. it will prompt us to recover the already saved document, and this is annoying.

Also the auto-recovery dialog is aggressively intrusive and disturbs the thought current or quick creation of a document. The auto-recovery dialog won't let us be productive right away.

Expected Behavior:
1. Please, don't try to recover files which were saved by user already.

2. try not to block and delay the work by throwing auto-recovery dialog on launching writer or calc, etc. instead a sidebar for recovery like in ms office would be good.

Thanks.
Comment 1 Joel Madero 2016-04-18 18:25:40 UTC
Not confirming but prioritizing correctly.

Trivial - not really going to hurt the creation of professional quality work;
Lowest - defautl

Again, not confirming as I can't restart right now.
Comment 2 MM 2016-04-18 20:07:53 UTC
Unconfirmed with v5.1.2.2 under ubuntu 16.04 x64.

What it actually does over here (when for example start writer), is auto load the previous documents. Dunno if this is a feature ?
Comment 3 Heiko Tietze 2016-09-07 14:14:36 UTC
There was a bug which changes the document state to "modified" after a few seconds. And I believe it was fixed. Please double-check with an up-to-date release. 

Given that you are only presented a recovery dialog when there are files that haven't saved, the dialog itself is the LibO way to show deal with the unwanted event. So moving things to the sidebar is needless effort.
Comment 4 Heiko Tietze 2016-09-12 08:31:23 UTC
Closing now, feel free to reopen when you have additional information.